LAMP_PHP

释放双眼,带上耳机,听听看~!

http://mirrors.sohu.com/php/php-5.4.23.tar.gz

wget http://mirrors.sohu.com/php/php-5.4.23.tar.gz

tar zxf php-5.3.28.tar.gz 
cd php-5.3.28 
./configure   –prefix=/usr/local/php   –with-apxs2=/usr/local/apache2/bin/apxs   –with-config-file-path=/usr/local/php/etc   –with-mysql=/usr/local/mysql   –with-libxml-dir   –with-gd   –with-jpeg-dir   –with-png-dir   –with-freetype-dir   –with-iconv-dir   –with-zlib-dir   –with-bz2   –with-openssl   –with-mcrypt   –enable-soap   –enable-gd-native-ttf   –enable-mbstring   –enable-sockets   –enable-exif   –disable-ipv6 
make && make install 

错误信息:

错误:

configure: error: xml2-config not found. Please check your libxml2 installation.

解决办法是:

yum install -y libxml2-devel

还有错误:

configure: error: Cannot find OpenSSL’s <evp.h>

解决办法是:

yum install -y openssl openssl-devel

错误:

checking for BZip2 in default path… not found

configure: error: Please reinstall the BZip2 distribution

解决办法:

yum install -y bzip2 bzip2-devel

错误:

configure: error: png.h not found.

解决办法:

yum install -y libpng libpng-devel

错误:

configure: error: freetype.h not found.

解决办法:

yum install -y freetype freetype-devel

错误:

configure: error: mcrypt.h not found. Please reinstall libmcrypt.

解决办法:

yum install  epel-release

yum install -y  libmcrypt-devel

error 5

checking whether to enable JIS-mapped Japanese font support in GD… no
checking for fabsf… yes
checking for floorf… yes
configure: error: jpeglib.h not found

GD库没有安装

解决办法

yum install libjpeg.x86_64 libpng.x86_64 freetype.x86_64 libjpeg-devel.x86_64 libpng-devel.x86_64 freetype-devel.x86_64 -y

checking for floorf… yes
configure: error: jpeglib.h not found

GD库没有安装

解决办法

yum install libjpeg-devel 

PHP编译报错configure: error: Cannot find libmysqlclient under /usr.

报这个错是因为没有安装libmcrypt这个包,下载地址如下:
wget ftp://mcrypt.hellug.gr/pub/crypto/mcrypt/attic/libmcrypt/libmcrypt-2.5.7.tar.gz
安装:
[root@localhost app]# tar zxfv libmcrypt-2.5.7.tar.gz
[root@localhost app]# cd libmcrypt-2.5.7
[root@localhost app]# ./configure
[root@localhost app]# make ; make install

编译PHP5.5 make 时出现错误

make: *** [ext/fileinfo/libmagic/apprentice.lo] Error 1

解决办法

这是由于内存小于1G所导致.

在./configure加上选项:

Disable fileinfo support 禁用 fileinfo

解决方法:

 ./configure   –prefix=/usr/local/php  –disable-fileinfo   –with-apxs2=/usr/local/apache2/bin/apxs   –with-config-file-path=/usr/local/php/etc   –with-mysql=/usr/local/mysql   –with-libxml-dir   –with-gd   –with-jpeg-dir   –with-png-dir   –with-freetype-dir   –with-iconv-dir   –with-zlib-dir   –with-bz2   –with-openssl   –with-mcrypt   –enable-soap   –enable-gd-native-ttf   –enable-mbstring   –enable-sockets   –enable-exif   –disable-ipv6

拷贝配置文件:

[root@localhost php-5.3.27]# cp php.ini-production /usr/local/php/etc/php.ini

【转自慕课】https://www.imooc.com

PHP

PHP ob_start() 函数介绍

2022-3-3 4:01:55

PHP

如何解决MaxScale2.2版本无法load MySQL用户的问题

2022-3-3 4:07:44

搜索